// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UDataAsset.h"
#include "Engine/DataAsset.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UDataAsset::SCW_UDataAsset(UDataAsset* InDataAsset) : SCW_UObject(InDataAsset), DataAsset(InDataAsset)
{

}

UDataAsset* SCW_UDataAsset::ToUDataAsset() const
{
	return DataAsset;
}

ISCW_UDataAssetPtr SCW_UDataAsset::ToUDataAssetPtr()
{
	return GetSharedThisAs<SCW_UDataAsset>();
}

ISCW_UDataAssetConstPtr SCW_UDataAsset::ToUDataAssetPtr() const
{
	return GetSharedThisAs<SCW_UDataAsset>();
}